List conversation searches

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /case/{caseId}/search-tracking

Lists the conversation searches custodians ran in the Hearsay app for this case, with the search filters they used.

Headers

  • organization string Required

    id of the selected (active) organization

Path parameters

  • caseId string Required

    Id of the case

Query parameters

  • page number

    Default value is 1.

  • perPage number

    Default value is 10.

  • skip number

    If skip/limit not provided, page/perPage will take precedence

  • limit number

    If skip/limit not provided, page/perPage will take precedence

  • conversationId string
  • deviceId string
  • extractionCodeId string
  • extractionCode string

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • total number Required
      • page number
      • perPage number
      • skip number
      • limit number
      • totalPages number Required
      • nextPage number | null Required
      • previousPage number | null Required
      • data array[object]
        Hide data attributes Show data attributes object
        • createdAt string(date-time) Required
        • updatedAt string(date-time) Required
        • id string Required
        • extractionCode string Required
        • organization string Required
        • case string Required
        • device string | null Required
        • linkedConversations array[string] Required
        • searchData array[object] Required
    • statusCode number Required
    • timestamp string(date-time) Required
GET /case/{caseId}/search-tracking
curl \
 --request GET 'http://api.example.com/case/{caseId}/search-tracking' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "organization: string"
Response examples (200)
{
  "data": {
    "total": 42,
    "page": 1,
    "perPage": 20,
    "skip": 0,
    "limit": 20,
    "totalPages": 3,
    "nextPage": 2,
    "previousPage": 42.0,
    "data": [
      {
        "createdAt": "2026-01-15T14:30:00.000Z",
        "updatedAt": "2026-01-15T14:30:00.000Z",
        "id": "507f1f77bcf86cd799439011",
        "extractionCode": "507f1f77bcf86cd799439011",
        "organization": "507f1f77bcf86cd799439011",
        "case": "507f1f77bcf86cd799439011",
        "device": "507f1f77bcf86cd799439011",
        "linkedConversations": [
          "507f1f77bcf86cd799439011"
        ],
        "searchData": [
          {
            "action": "search",
            "value": "Jane Doe"
          },
          {
            "action": "select_all",
            "value": true
          }
        ]
      }
    ]
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}